com.io7m.jcanephora.core

## Interface JCGLTextureCubeUsableType

- All Superinterfaces:
    JCGLNamedType, JCGLReferableType, JCGLResourceSizedType, JCGLResourceUsableType, JCGLTextureUsableType
  All Known Subinterfaces:
    JCGLTextureCubeType

      public interface JCGLTextureCubeUsableType
      extends JCGLTextureUsableType

  The type of usable cube textures.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `textureGetArea()`
    `JCGLTextureWrapR` | `textureGetWrapR()`
    `JCGLTextureWrapS` | `textureGetWrapS()`
    `JCGLTextureWrapT` | `textureGetWrapT()`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLTextureUsableType

      `textureGetFormat, textureGetHeight, textureGetMagnificationFilter, textureGetMinificationFilter, textureGetRangeX, textureGetRangeY, textureGetWidth`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLReferableType

      `getReferringContainers`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLNamedType

      `getGLName`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceSizedType

      `getRange`

- - ### Method Detail

    - #### textureGetArea

          com.io7m.jareas.core.AreaInclusiveUnsignedLType textureGetArea()

      Returns:
        The texture area

    - #### textureGetWrapR

          JCGLTextureWrapR textureGetWrapR()

      Returns:
        The wrapping mode on the `R` axis

    - #### textureGetWrapS

          JCGLTextureWrapS textureGetWrapS()

      Returns:
        The wrapping mode on the `S` axis

    - #### textureGetWrapT

          JCGLTextureWrapT textureGetWrapT()

      Returns:
        The wrapping mode on the `T` axis

Copyright © 2016 <code@io7m.com> http://io7m.com